Skip to content
API Reference

Delete

client.Organizations.ServiceAccounts.Credentials.Delete(ctx, credentialID, params) error
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}

Delete a service account credential

ParametersExpand Collapse
credentialID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params OrganizationServiceAccountCredentialDeleteParams
OrganizationID param.Field[string]

Path param: Organization ID or label identifier

minLength1
maxLength255
ServiceAccountID param.Field[string]

Path param: Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid

Delete

package main

import (
  "context"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  err := client.Organizations.ServiceAccounts.Credentials.Delete(
    context.TODO(),
    "ab3def8hij2klm9opq5rst7uvw",
    keycard.OrganizationServiceAccountCredentialDeleteParams{
      OrganizationID: "x",
      ServiceAccountID: "ab3def8hij2klm9opq5rst7uvw",
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples